<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Models\Pouzivatel\Testovanie;

/**
 * Enum StavVyhodnoteniaTestuEnum
 *
 * @package Seka\Vzdelavanie\Models\Pouzivatel\Testovanie
 */
enum StavVyhodnoteniaTestuEnum: string
{
    case VYHODNOTENY = 'VYHODNOTENY';
    case NEVYHODNOTENY = 'NEVYHODNOTENY';

    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'VYHODNOTENY' => 'vyhodnotený',
            'NEVYHODNOTENY' => 'nevyhodnotený',
        ];
    }

    /**
     * @return string
     */
    public function getLabel(): string
    {
        return match ($this) {
            self::VYHODNOTENY => 'vyhodnotený',
            self::NEVYHODNOTENY => 'nevyhodnotený',
        };
    }

    /**
     * @return string
     */
    public function color(): string
    {
        return match ($this) {
            self::VYHODNOTENY => '#bee1e6',
            self::NEVYHODNOTENY => '#fad2e1',
        };
    }
}
